Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jss.pkix.cmc
Class CMCCertId

    java.lang.Object
      org.mozilla.jss.pkix.cmc.CMCCertId

All Implemented Interfaces:
  ASN1Value

    public class CMCCertId

extends java.lang.Object
implements ASN1Value

CMC CMCCertId.

     The definition of IssuerSerial comes from RFC 3281.
     CMCCertId ::= SEQUENCE {
          issuer      GeneralNames,
          serial      INTEGER
          issuerUID   UniqueIdentifier OPTIONAL}

Nested Class Summary
`static class` | `CMCCertId.Template` A Template for decoding a `CMCCertId`.

Constructor Summary
`CMCCertId(ANY issuer, INTEGER serial, BIT_STRING issuerUID)` Constructs a new `CMCCertId` from its components.
`CMCCertId(SEQUENCE issuer, INTEGER serial, BIT_STRING issuerUID)` Constructs a new `CMCCertId` from its components.

Method Summary
`void` | `encode(java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using its own base tag.
`void` | `encode(Tag implicitTag, java.io.OutputStream ostream)` Write this value's DER encoding to an output stream using an implicit tag.
`SEQUENCE` | `getIssuer()` Returns the `issuer` field as an `SEQUENCE of ANY`.
`BIT_STRING` | `getIssuerUID()` Returns the `issuerUID` field.
`INTEGER` | `getSerial()` Returns the `serial` field.
`Tag` | `getTag()` Returns the base tag for this type, not counting any tags that may be imposed on it by its context.
`static CMCCertId.Template` | `getTemplate()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CMCCertId

    public CMCCertId(SEQUENCE issuer,
                     INTEGER serial,
                     BIT_STRING issuerUID)

  Constructs a new `CMCCertId` from its components. The uniqueIdentifier component may be `null`.

### CMCCertId

    public CMCCertId(ANY issuer,
                     INTEGER serial,
                     BIT_STRING issuerUID)

  Constructs a new `CMCCertId` from its components. The issuerUID component may be `null`.

Method Detail

### getIssuer

    public SEQUENCE getIssuer()

  Returns the `issuer` field as an `SEQUENCE of ANY`. The actual type of the field is GeneralNames.

### getSerial

    public INTEGER getSerial()

  Returns the `serial` field.

### getIssuerUID

    public BIT_STRING getIssuerUID()

  Returns the `issuerUID` field.

### getTag

    public Tag getTag()

  Description copied from interface: `ASN1Value`
  Returns the base tag for this type, not counting any tags that may be imposed on it by its context.

  Specified by:
    `getTag` in interface `ASN1Value`

### encode

    public void encode(java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using its own base tag.

  Specified by:
    `encode` in interface `ASN1Value`
  Throws:
    `java.io.IOException`

### encode

    public void encode(Tag implicitTag,
                       java.io.OutputStream ostream)
                throws java.io.IOException

  Description copied from interface: `ASN1Value`
  Write this value's DER encoding to an output stream using an implicit tag.

  Specified by:
    `encode` in interface `ASN1Value`
  Throws:
    `java.io.IOException`

### getTemplate

    public static CMCCertId.Template getTemplate()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD